const path = require('path');
const frame = path.resolve(__dirname, '../frame');
const school = path.resolve(__dirname, '../train-school');
const ip = 'http://127.0.0.1';
module.exports = {
  publicPath: process.env.NODE_ENV === 'development' ? '/' : '/center',
  outputDir: 'center',
  productionSourceMap: false,
  chainWebpack: config => {
    // if (process.env.NODE_ENV === 'production') {
    //   config
    //     .plugin('webpack-bundle-analyzer')
    //     .use(require('webpack-bundle-analyzer').BundleAnalyzerPlugin)
    //     .end();
    //   config.plugins.delete('prefetch');
    // }
  },
  configureWebpack: {
    // externals: {
    //   // 'element-ui': 'Element',
    //   // vue: 'Vue',
    // },
    // 开发生产共同配置
    resolve: {
      alias: {
        '@': path.resolve(__dirname, './src'),
        '@c': path.resolve(__dirname, './src/components'),
        '@a': path.resolve(__dirname, './src/assets'),
        '@frame': frame,
        '@school': school,
      },
    },
  },
  devServer: {
    port: '8002',
    //api地址前缀
    proxy: {
      '/api/train': {
        target: ip, ///api/train http://free.liaoningdoupo.com http://jytz.jilinjobs.cn
        changeOrigin: true,
        ws: true,
      },
      '/api/auth': {
        target: ip, ///api/train http://free.liaoningdoupo.com http://jytz.jilinjobs.cn
        changeOrigin: true,
        ws: true,
      },
      '/api/mission': {
        target: ip, ///api/train http://free.liaoningdoupo.com http://jytz.jilinjobs.cn
        changeOrigin: true,
        ws: true,
      },

      '/files': {
        target: 'http://jytz.jilinjobs.cn',
        changeOrigin: true,
        ws: true,
      },
      '/ws': {
        target: 'http://jytz.jilinjobs.cn', //http://free.liaoningdoupo.com
        ws: true,
      },
      '/weixin': {
        target: 'http://jytz.jilinjobs.cn',
        changeOrigin: true,
        ws: true,
      },
      // '/jh': {
      //   //聚合科技API
      //   target: 'http://v.juhe.cn',
      //   changeOrigin: true,
      //   ws: true,
      //   pathRewrite: {
      //     '^/jh': '',
      //   },
      // },
    },
  },
};
